# eric5.Plugins.DocumentationPlugins.Ericapi.EricapiExecDialog

Module implementing a dialog to show the output of the ericapi process.

### Global Attributes

None

### Classes

EricapiExecDialog | Class implementing a dialog to show the output of the ericapi process.

### Functions

None

## EricapiExecDialog

Class implementing a dialog to show the output of the ericapi process.

This class starts a QProcess and displays a dialog that shows the output of the documentation command process.

### Derived from

QDialog, Ui_EricapiExecDialog

### Class Attributes

None

### Class Methods

None

### Methods

EricapiExecDialog | Constructor
__finish | Private slot called when the process finished.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
start | Public slot to start the ericapi command.

### Static Methods

None

#### EricapiExecDialog (Constructor)

EricapiExecDialog(cmdname, parent=None)

Constructor

cmdname
  name of the ericapi generator (string)
parent
  parent widget of this dialog (QWidget)

#### EricapiExecDialog.__finish

__finish()

Private slot called when the process finished.

It is called when the process finished or the user pressed the button.

#### EricapiExecDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### EricapiExecDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### EricapiExecDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### EricapiExecDialog.start

start(args, fn)

Public slot to start the ericapi command.

args
  commandline arguments for ericapi program (list of strings)
fn
  filename or dirname to be processed by ericapi program (string)

Returns:
  flag indicating the successful start of the process (boolean)

Up